# $Revision: 1.34 $, $Date: 2002/10/12 10:00:44 $
#
# Conditional build:
# _with_license_agreement	- generates package

Summary:	Windows compression/decompression libraries used by movie players
Summary(pl):	Windziane biblioteki do kompresji/dekompresji dla odtwarzaczy filmw
Name:		w32codec
Version:	0.90pre7
Release:	3%{?_with_license_agreement:wla}
Group:		Libraries
License:	Free for non-commercial use
%{?_with_license_agreement:Source0:	http://www.mplayerhq.hu/MPlayer/releases/%{name}-%{version}.tar.bz2}
Autoreqprov:	false
ExclusiveArch:	%{ix86}
%{?!_with_license_agreement:Requires:	wget}
%{?!_with_license_agreement:Requires:	rpm-build-tools}
%{?_with_license_agreement:Provides:	avi-codecs}
%{?_with_license_agreement:Obsoletes:	avi-codecs}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

#%%define		w32codecDIR	ftp://ftp.pld.org.pl/dists/ra/test/SRPMS/
%define		w32codecDIR	ftp://ftp.pld.org.pl/dists/ra/PLD/SRPMS/SRPMS/

%description
Libraries required to compress/decompress content of movie files. They
are used by movie players, but can be used to create compressed movie
files.

%{?!_with_license_agreement:License issues made us not to include inherent files into}
%{?!_with_license_agreement:this package by default. If you want to create full working}
%{?!_with_license_agreement:package please build it with the following command:}
%{?!_with_license_agreement:}
%{?!_with_license_agreement:w32codec.install --with license_agreement %{w32codecDIR}/%{name}-%{version}-%{release}.src.rpm}

%description -l pl
Biblioteki niezbdne do kompresji/dekompresji filmw. S one
wykorzystywane przez odtwarzacze, ale mog by uyte do tworzenia
kompresowanych plikw z filmami.

%{?!_with_license_agreement:Kwestie licencji zmusiy nas do niedoczania do tego}
%{?!_with_license_agreement:pakietu istotnych plikw. Jeli chcesz stworzy w peni}
%{?!_with_license_agreement:funkcjonalny pakiet zbuduj go za pomoc polecenia:}
%{?!_with_license_agreement:}
%{?!_with_license_agreement:w32codec.install --with license_agreement %{w32codecDIR}/%{name}-%{version}-%{release}.src.rpm}

%prep
%{?_with_license_agreement:%setup -q -n %{name}-0.90}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/win32

%if %{?_with_license_agreement:0}%{?!_with_license_agreement:1}
install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/w32codec.install
#!/bin/sh
if [ "\$1" = "--with" -a "\$2" = "license_agreement" ]
then
	TMPDIR=\`rpm --eval "%%{tmpdir}"\`; export TMPDIR
	SPECDIR=\`rpm --eval "%%{_specdir}"\`; export SPECDIR
	SRPMDIR=\`rpm --eval "%%{_srcrpmdir}"\`; export SRPMDIR
	RPMDIR=\`rpm --eval "%%{_rpmdir}"\`; export RPMDIR
	( cd \$SRPMDIR
	if echo "\$3" | grep '://' >/dev/null
	then
		wget -t0 "\$3"
	else
		cp -f "\$3" .
	fi
	rpm2cpio \`basename "\$3"\` | ( cd \$TMPDIR; cpio -i w32codec.spec ) )
	if ! cp -i \$TMPDIR/w32codec.spec \$SPECDIR/w32codec.spec; then
		exit 1
	fi
	( cd \$SPECDIR
	%{_bindir}/builder -nc -ncs --with license_agreement --opts --target=%{_target_cpu} w32codec.spec
	rpm -U \$RPMDIR/%{name}-%{version}-%{release}wla.%{_target_cpu}.rpm || \
		echo -e Install manually the file:\\\n   \$RPMDIR/%{name}-%{version}-%{release}wla.%{_target_cpu}.rpm )
else
	echo "
License issues made us not to include inherent files into
this package by default. If you want to create full working
package please build it with the following command:

\$0 --with license_agreement %{w32codecDIR}/%{name}-%{version}-%{release}.src.rpm
"
fi
EOF
%else
install * $RPM_BUILD_ROOT%{_libdir}/win32
%endif

%pre
%{?!_with_license_agreement:echo "}
%{?!_with_license_agreement:License issues made us not to include inherent files into}
%{?!_with_license_agreement:this package by default. If you want to create full working}
%{?!_with_license_agreement:package please build it with the following command:}
%{?!_with_license_agreement:}
%{?!_with_license_agreement:w32codec.install --with license_agreement %{w32codecDIR}/%{name}-%{version}-%{release}.src.rpm}
%{?!_with_license_agreement:"}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{?_with_license_agreement:%{_libdir}/win32}
%{?!_with_license_agreement:%attr(755,root,root) %{_bindir}/w32codec.install}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: w32codec.spec,v $
Revision 1.34  2002/10/12 10:00:44  ankry
- redirect to main ftp; rel. 3

Revision 1.33  2002/10/08 20:15:30  ankry
- release 1.7

Revision 1.32  2002/10/08 16:05:46  wiget
- give it chance to work

Revision 1.31  2002/10/08 14:24:18  ankry
- use macro

Revision 1.30  2002/10/08 10:10:42  ankry
- added target option, release 1.6

Revision 1.29  2002/09/24 13:15:44  ankry
- yet another solution of w32codec problem
- release 1.5, not much tested yet

Revision 1.27  2002/09/20 19:57:16  rrw
- version 0.90pre7;

Revision 1.26  2002/08/18 22:57:28  gotar
- readded some informations about package (I'm not sure about this
  license, and package builds empty by default),
- release 5.

Revision 1.25  2002/08/18 13:01:30  blues
- release 4 - license fix

Revision 1.24  2002/08/14 10:48:00  marcus
- fixed bcond

Revision 1.23  2002/08/02 17:55:02  kloczek
- release 4: reverse %%{?_with_license_agreement} macro - now by default will
  be builded empty package.

Revision 1.22  2002/07/28 12:14:42  kloczek
- release 3.

Revision 1.21  2002/04/16 09:44:07  ankry
- fixed source URL

Revision 1.20  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/28 10:31:00  marcus
-s/%%{x86}/%%{ix86}/g

Revision 1.17  2002/01/18 02:15:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/17 20:09:37  filon
- source is bz2 now, fixed build
- release 2

Revision 1.15  2002/01/17 18:29:28  filon
- updated to 0.60 (for mpalyer 0.60), MPLAYER RULEZ\!

Revision 1.14  2001/12/13 02:28:50  gotar
- typo.

Revision 1.13  2001/12/10 02:28:20  gotar
- removed redundant building empty package; we've got divx4linux now,
- release 2.

Revision 1.12  2001/11/13 16:57:53  misiek
- nosrc -> src

Revision 1.11  2001/11/07 11:18:45  qboosh
- more Groups

Revision 1.10  2001/10/28 16:43:36  arekmat
- updated to 0.50

Revision 1.9  2001/09/09 17:46:14  gotar
- cosmetical changes in descriptions.

Revision 1.8  2001/08/22 17:28:01  filon
- reverting last change

Revision 1.7  2001/08/21 18:47:28  filon
- removed unnecessary provides: avi-codecs

Revision 1.6  2001/08/06 18:54:41  blues
typo

Revision 1.5  2001/07/30 15:08:13  baggins
- typo

Revision 1.4  2001/07/30 10:04:18  kloczek
- release 2: added "ExclusiveArch: %%{ix86}".

Revision 1.3  2001/07/28 22:56:45  qboosh
- added Obsoletes: avi-codecs

Revision 1.2  2001/07/28 10:38:37  wrobell
- Conflicts: -> Provides:

Revision 1.1  2001/07/25 16:50:16  wrobell
- even avifile developers use w32codec, now, so avi-codecs
  is obsoleted in favour of w32codec, which contains fresh
  set of windows crap
